regina::Dim2EdgeEmbedding Class Reference
2-Manifold Triangulations

Details how an edge in the 1-skeleton of a 2-manifold triangulation forms part of an individual triangle. More...

`#include <dim2/dim2edge.h>`

## Public Member Functions

| Dim2EdgeEmbedding ()
| Default constructor. More...
| Dim2EdgeEmbedding (Dim2Triangle *tri, int edge)
| Creates an embedding descriptor containing the given data. More...
| Dim2EdgeEmbedding (const Dim2EdgeEmbedding &cloneMe)
| Creates an embedding descriptor containing the same data as the given embedding descriptor. More...
Dim2EdgeEmbedding & | operator= (const Dim2EdgeEmbedding &cloneMe)
| Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor. More...
Dim2Triangle * | getTriangle () const
| Returns the triangle in which this edge is contained. More...
int | getEdge () const
| Returns the edge number within getTriangle() that is this edge. More...
NPerm3 | getVertices () const
| Returns a mapping from vertices (0,1) of this edge to the corresponding vertex numbers in getTriangle(), as described in Dim2Triangle::getEdgeMapping(). More...

## Detailed Description

Details how an edge in the 1-skeleton of a 2-manifold triangulation forms part of an individual triangle.

## Constructor & Destructor Documentation

regina::Dim2EdgeEmbedding::Dim2EdgeEmbedding | ( |  | ) |

inline

Default constructor.

The embedding descriptor created is unusable until it has some data assigned to it using `operator =`.

Python:
  Not present.

regina::Dim2EdgeEmbedding::Dim2EdgeEmbedding | ( | Dim2Triangle * | tri,
|  | int | edge
| ) |  |

inline

Creates an embedding descriptor containing the given data.

Parameters

  tri | the triangle in which this edge is contained.
  edge | the edge number of tri that is this edge.

regina::Dim2EdgeEmbedding::Dim2EdgeEmbedding | ( | const Dim2EdgeEmbedding & | cloneMe | ) |

inline

Creates an embedding descriptor containing the same data as the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

## Member Function Documentation

int regina::Dim2EdgeEmbedding::getEdge | ( |  | ) | const

inline

Returns the edge number within getTriangle() that is this edge.

Returns
  the edge number that is this edge.

Dim2Triangle * regina::Dim2EdgeEmbedding::getTriangle | ( |  | ) | const

inline

Returns the triangle in which this edge is contained.

Returns
  the triangle.

NPerm3 regina::Dim2EdgeEmbedding::getVertices | ( |  | ) | const

inline

Returns a mapping from vertices (0,1) of this edge to the corresponding vertex numbers in getTriangle(), as described in Dim2Triangle::getEdgeMapping().

Returns
  a mapping from the vertices of this edge to the corresponding vertices of getTriangle().

Dim2EdgeEmbedding & regina::Dim2EdgeEmbedding::operator= | ( | const Dim2EdgeEmbedding & | cloneMe | ) |

inline

Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

The documentation for this class was generated from the following file:

- dim2/dim2edge.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).